DOCTYPE(1)

NAME
doctype - intuit command line for formatting a document

SYNOPSIS
doctype [ -n ] [ -T dev ] [ file ] ...

DESCRIPTION
Doctype examines a troff(1) input file to deduce the appropriate text formatting command and prints it on standard output. Doctype recognizes input for troff(1), related preprocessors like eqn(1), and the ms(7) and mm macro packages.

Option -n invokes nroff instead of troff. The -T option is passed to troff.

EXAMPLES

eval `{doctype chapter.?} | lp
    Typeset files named chapter.0, chapter.1, ...

SOURCE
/bin/doctype

SEE ALSO
troff(1), eqn(1), tbl(1), pic(1), grap(1), ms(7), man(7)

BUGS
In true A.I. style, its best guesses are inspired rather than accurate.